NMVS java client demos
===

This project was created to provide an easy way to try out the web services and get started quickly.

Requirements
---

* [Maven installation](https://maven.apache.org/)

Preparation
---

Prepare [ws.properties](src/main/resources/ws.properties) with the required settings, i.e. set the path to the client certificate, password etc.

Build
---

    mvn clean compile
    
During build the **cxf-codegen-plugin** maven plugin generates binding classes and web service classes for each interface version using the [WSDLs](src/main/resources/wsdl).

Run
---

Run the main class with 

    mvn exec:java

Then the following will happen:    
* it will ask the user for the service he would like to use
* it will ask the user for the method he would like to call
* it will call the selected service method
* it will print the request and response to standard out


Implementation
---

The [Main](src/main/java/de/arvato/systems/nmvs/example/Main.java) class acts as an entry point to this example. It will instantiate an instance of the interface version class. The interface version class then holds references to the concrete client implementations for the interface version. 
The actual method calls take place in [AbstractExample](src/main/java/de/arvato/systems/nmvs/example/AbstractExample.java)'s subclasses. There's a concrete class for each WSDL, where each class provides a method to call the respective web method declared in the WSDL.

WSDL example implementation structure
---

Each interface version has its' own set of implementations within the `de.arvato.systems.nmvs.example.vX` directories. The directory structure is as follows:

	# Base class that holds a reference to the concrete versioned SOAPObjectCreator instance
	AbstractExampleVX.java 	
	# Holds the references to the concrete WsXXXExample implementations
	MainVX.java 					
	# Collector for factory methods creating objects required by the Soap methods
	SOAPObjectCreator.java	
	# Holds concrete method implementations
	WsXXXExample.java			