package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import eu.nmvs.types.v3.I6ResultTransactionDataType;
import eu.nmvs.types.v3.ManualRequestDataType;
import eu.nmvs.types.v3.RequestBulkDataType;
import eu.nmvs.types.v3.RequestDataType;
import eu.nmvs.types.v3.RequestHeaderDataType;
import eu.nmvs.types.v3.RequestUndoBulkDataType;
import eu.nmvs.types.v3.RequestUndoManualSingleDataType;
import eu.nmvs.types.v3.RequestUndoSingleDataType;;

public abstract class AbstractExampleV3<T> extends AbstractExample<T> {

    protected final SOAPObjectCreator soapObjectCreator = new SOAPObjectCreator();

    protected RequestHeaderDataType createHeader() {
        return soapObjectCreator.createHeader();
    }

    protected RequestBulkDataType createBodyBulk() {
        return soapObjectCreator.createBodyBulk();
    }

    protected RequestUndoBulkDataType createBodyUndoBulk() {
        return soapObjectCreator.createBodyUndoBulk();
    }

    protected I6ResultTransactionDataType createBodyI6() {
        return soapObjectCreator.createBodyI6();
    }

    protected RequestDataType createBody() {
        return soapObjectCreator.createBody();
    }

    protected RequestUndoSingleDataType createBodyUndo() {
        return soapObjectCreator.createBodyUndo();
    }

    protected ManualRequestDataType createBodyManual() {
        return soapObjectCreator.createBodyManual();
    }

    protected RequestUndoManualSingleDataType createBodyUndoManual() {
        return soapObjectCreator.createBodyUndoManual();
    }

}
