package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import eu.nmvs.services.v3_0.BulkServices;
import eu.nmvs.services.v3_0.IBulkServices;
import eu.nmvs.wsdltypes.v3.BulkPingRequest;
import eu.nmvs.wsdltypes.v3.G115Request;
import eu.nmvs.wsdltypes.v3.G125Request;
import eu.nmvs.wsdltypes.v3.G127Request;
import eu.nmvs.wsdltypes.v3.G135Request;
import eu.nmvs.wsdltypes.v3.G145Request;
import eu.nmvs.wsdltypes.v3.G147Request;
import eu.nmvs.wsdltypes.v3.G155Request;
import eu.nmvs.wsdltypes.v3.G157Request;
import eu.nmvs.wsdltypes.v3.G165Request;
import eu.nmvs.wsdltypes.v3.G167Request;
import eu.nmvs.wsdltypes.v3.G175Request;
import eu.nmvs.wsdltypes.v3.G177Request;
import eu.nmvs.wsdltypes.v3.G185Request;
import eu.nmvs.wsdltypes.v3.G188Request;
import eu.nmvs.wsdltypes.v3.G199Request;

/**
 * This is an example class for the web service described by the <em>WS_BULK.wsdl</em>.
 * It provides a method for each web method. {@link AbstractExample} provides the {@link AbstractExample#invoke()} method
 * wich prompts the user for a method to call and then calls it reflectively.
 */
public class WsBulkExample extends AbstractExampleV3<IBulkServices> {

    @Override
    protected Class<IBulkServices> getWSInterfaceClass() {
        return IBulkServices.class;
    }

    @Override
    public String getWsName() {
        return BulkServices.class.getSimpleName();
    }

    public void g115BulkVerify() {
        G115Request req = new G115Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g115BulkVerify(req);
    }

    public void g125BulkDispense() {
        G125Request req = new G125Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g125BulkDispense(req);
    }

    public void g127BulkUndoDispense() {
        G127Request req = new G127Request();
        req.setBody(createBodyUndoBulk());
        req.setHeader(createHeader());
        getPort().g127BulkUndoDispense(req);
    }

    public void g135BulkDestroy() {
        G135Request req = new G135Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g135BulkDestroy(req);
    }

    public void g145BulkExport() {
        G145Request req = new G145Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g145BulkExport(req);
    }

    public void g147BulkUndoExport() {
        G147Request req = new G147Request();
        req.setBody(createBodyUndoBulk());
        req.setHeader(createHeader());
        getPort().g147BulkUndoExport(req);
    }

    public void g155BulkSample() {
        G155Request req = new G155Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g155BulkSample(req);
    }

    public void g157BulkUndoSample() {
        G157Request req = new G157Request();
        req.setBody(createBodyUndoBulk());
        req.setHeader(createHeader());
        getPort().g157BulkUndoSample(req);
    }

    public void g165BulkFreeSample() {
        G165Request req = new G165Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g165BulkFreeSample(req);
    }

    public void g167BulkUndoFreeSample() {
        G167Request req = new G167Request();
        req.setBody(createBodyUndoBulk());
        req.setHeader(createHeader());
        getPort().g167BulkUndoFreeSample(req);
    }

    public void g175BulkLocks() {
        G175Request req = new G175Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g175BulkLocks(req);
    }

    public void g177BulkUndoLock() {
        G177Request req = new G177Request();
        req.setBody(createBodyUndoBulk());
        req.setHeader(createHeader());
        getPort().g177BulkUndoLock(req);
    }

    public void g185BulkStolen() {
        G185Request req = new G185Request();
        req.setBody(createBodyBulk());
        req.setHeader(createHeader());
        getPort().g185BulkStolen(req);
    }

    public void g188RequestBulkPackResult() {
        G188Request req = new G188Request();
        req.setBody(createBodyI6());
        req.setHeader(createHeader());
        getPort().g188RequestBulkPackResult(req);
    }

    public void g199RequestPickupIdsForBulkTransactionResult() {
        G199Request req = new G199Request();
        req.setHeader(createHeader());
        getPort().g199RequestPickupIdsForBulkTransactionResult(req);
    }

    public void pingBulk() {
        BulkPingRequest req = new BulkPingRequest();
        req.setInput("Hello World!");
        getPort().pingBulk(req);
    }

}
