package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import eu.nmvs.services.v3_0.IMasterDataServices;
import eu.nmvs.services.v3_0.MasterDataServices;
import eu.nmvs.wsdltypes.v3.G101Request;
import eu.nmvs.wsdltypes.v3.MasterDataPingRequest;

/**
 * This is an example class for the web service described by the <em>WS_MASTER_DATA.wsdl</em>.
 * It provides a method for each web method. {@link AbstractExample} provides the {@link AbstractExample#invoke()} method
 * which prompts the user for a method to call and then calls it reflectively.
 */
public class WsMasterDataExample extends AbstractExampleV3<IMasterDataServices> {

    @Override
    protected Class<IMasterDataServices> getWSInterfaceClass() {
        return IMasterDataServices.class;
    }

    @Override
    public String getWsName() {
        return MasterDataServices.class.getSimpleName();
    }

    public void g101DownloadProductMasterData() {
        G101Request req = new G101Request();
        req.setBody(soapObjectCreator.createBodyI9());
        req.setHeader(createHeader());
        getPort().g101DownloadProductMasterData(req);
    }

    public void pingMasterData() {
        MasterDataPingRequest req = new MasterDataPingRequest();
        req.setInput("Hello World!");
        getPort().pingMasterData(req);
    }

}
