package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import eu.nmvs.services.v3_0.IMixedBulkServices;
import eu.nmvs.services.v3_0.MixedBulkServices;
import eu.nmvs.wsdltypes.v3.G195Request;
import eu.nmvs.wsdltypes.v3.G196Request;
import eu.nmvs.wsdltypes.v3.MixedBulkPingRequest;

/**
 * This is an example class for the web service described by the <em>WS_MIXED_BULK.wsdl</em>.
 * It provides a method for each web method. {@link AbstractExample} provides the {@link AbstractExample#invoke()} method
 * which prompts the user for a method to call and then calls it reflectively.
 */
public class WsMixedBulk extends AbstractExampleV3<IMixedBulkServices> {

    @Override
    protected Class<IMixedBulkServices> getWSInterfaceClass() {
        return IMixedBulkServices.class;
    }

    @Override
    public String getWsName() {
        return MixedBulkServices.class.getSimpleName();
    }

    public void g195SubmitBulkTransaction() {
        G195Request req = new G195Request();
        req.setBody(soapObjectCreator.createBodyMixed());
        req.setHeader(createHeader());
        getPort().g195SubmitBulkTransaction(req);
    }

    public void g196RequestBulkTransactionResult() {
        G196Request req = new G196Request();
        req.setBody(createBodyI6());
        req.setHeader(createHeader());
        getPort().g196RequestBulkTransactionResult(req);
    }

    public void pingMixedBulk() {
        MixedBulkPingRequest req = new MixedBulkPingRequest();
        req.setInput("Hello World!");
        getPort().pingMixedBulk(req);
    }
}
