package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import eu.nmvs.services.v3_0.IPkiServices;
import eu.nmvs.services.v3_0.PkiServices;
import eu.nmvs.wsdltypes.v3.G615Request;
import eu.nmvs.wsdltypes.v3.PkiPingRequest;

/**
 * This is an example class for the web service described by the <em>WS_PKI.wsdl</em>.
 * It provides a method for each web method. {@link AbstractExample} provides the {@link AbstractExample#invoke()} method
 * which prompts the user for a method to call and then calls it reflectively.
 */
public class WsPkiExample extends AbstractExampleV3<IPkiServices> {

    @Override
    protected Class<IPkiServices> getWSInterfaceClass() {
        return IPkiServices.class;
    }

    @Override
    public String getWsName() {
        return PkiServices.class.getSimpleName();
    }

    public void g615DownloadClientCertificate() {
        G615Request req = new G615Request();
        req.setBody(soapObjectCreator.createBodyCertRequest());
        req.setHeader(createHeader());
        getPort().g615DownloadClientCertificate(req);
    }

    public void pingPki() {
        PkiPingRequest req = new PkiPingRequest();
        req.setInput("Hello World!");
        getPort().pingPki(req);
    }

}
