package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import eu.nmvs.services.v3_0.ISinglePackServices;
import eu.nmvs.services.v3_0.SinglePackServices;
import eu.nmvs.wsdltypes.v3.G110Request;
import eu.nmvs.wsdltypes.v3.G112Request;
import eu.nmvs.wsdltypes.v3.G120Request;
import eu.nmvs.wsdltypes.v3.G121Request;
import eu.nmvs.wsdltypes.v3.G122Request;
import eu.nmvs.wsdltypes.v3.G123Request;
import eu.nmvs.wsdltypes.v3.G130Request;
import eu.nmvs.wsdltypes.v3.G140Request;
import eu.nmvs.wsdltypes.v3.G141Request;
import eu.nmvs.wsdltypes.v3.G150Request;
import eu.nmvs.wsdltypes.v3.G151Request;
import eu.nmvs.wsdltypes.v3.G160Request;
import eu.nmvs.wsdltypes.v3.G161Request;
import eu.nmvs.wsdltypes.v3.G170Request;
import eu.nmvs.wsdltypes.v3.G171Request;
import eu.nmvs.wsdltypes.v3.G180Request;
import eu.nmvs.wsdltypes.v3.G182Request;
import eu.nmvs.wsdltypes.v3.SinglePackPingRequest;

/**
 * This is an example class for the web service described by the <em>WS_SINGLE_PACK.wsdl</em>.
 * It provides a method for each web method. {@link AbstractExample} provides the {@link AbstractExample#invoke()} method
 * wich prompts the user for a method to call and then calls it reflectively.
 *  
 * @author ZAND026
 */
public class WsSinglePackExample extends AbstractExampleV3<ISinglePackServices> {

    @Override
    protected Class<ISinglePackServices> getWSInterfaceClass() {
        return ISinglePackServices.class;
    }

    @Override
    public String getWsName() {
        return SinglePackServices.class.getSimpleName();
    }

    public void g110Verify() {
        G110Request req = new G110Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g110Verify(req);
    }

    public void g112ManualVerify() {
        G112Request req = new G112Request();
        req.setBody(createBodyManual());
        req.setHeader(createHeader());
        getPort().g112ManualVerify(req);
    }

    public void g120Dispense() {
        G120Request req = new G120Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g120Dispense(req);
    }

    public void g121UndoDispense() {
        G121Request req = new G121Request();
        req.setBody(createBodyUndo());
        req.setHeader(createHeader());
        getPort().g121UndoDispense(req);
    }

    public void g122DispenseManualEntry() {
        G122Request req = new G122Request();
        req.setBody(createBodyManual());
        req.setHeader(createHeader());
        getPort().g122DispenseManualEntry(req);
    }

    public void g123UndoDispenseManualEntry() {
        G123Request req = new G123Request();
        req.setBody(createBodyUndoManual());
        req.setHeader(createHeader());
        getPort().g123UndoDispenseManualEntry(req);
    }

    public void g130Destroy() {
        G130Request req = new G130Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g130Destroy(req);
    }

    public void g140Export() {
        G140Request req = new G140Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g140Export(req);
    }

    public void g141UndoExport() {
        G141Request req = new G141Request();
        req.setBody(createBodyUndo());
        req.setHeader(createHeader());
        getPort().g141UndoExport(req);
    }

    public void g150Sample() {
        G150Request req = new G150Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g150Sample(req);
    }

    public void g151UndoSample() {
        G151Request req = new G151Request();
        req.setBody(createBodyUndo());
        req.setHeader(createHeader());
        getPort().g151UndoSample(req);
    }

    public void g160FreeSample() {
        G160Request req = new G160Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g160FreeSample(req);
    }

    public void g161UndoFreeSample() {
        G161Request req = new G161Request();
        req.setBody(createBodyUndo());
        req.setHeader(createHeader());
        getPort().g161UndoFreeSample(req);
    }

    public void g170Lock() {
        G170Request req = new G170Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g170Lock(req);
    }

    public void g171UndoLock() {
        G171Request req = new G171Request();
        req.setBody(createBodyUndo());
        req.setHeader(createHeader());
        getPort().g171UndoLock(req);
    }

    public void g180Stolen() {
        G180Request req = new G180Request();
        req.setBody(createBody());
        req.setHeader(createHeader());
        getPort().g180Stolen(req);
    }

    public void g182StolenManualEntry() {
        G182Request req = new G182Request();
        req.setBody(createBodyManual());
        req.setHeader(createHeader());
        getPort().g182StolenManualEntry(req);
    }

    public void pingSinglePack() {
        SinglePackPingRequest req = new SinglePackPingRequest();
        req.setInput("Hello World!");
        getPort().pingSinglePack(req);
    }

}
