﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NMVS_Sample
{
    class Header
    {
        /// <summary>
        /// Generates, from the user data specified in the settings, the header for the individual transactions
        /// </summary>
        /// <param name="serviceName">Specify the service name to be used for the header. For example "SinglePackServices"</param>
        /// <returns></returns>
        internal static object SetHeaderRequest(string serviceName, bool TrxId)
        {
            Type typeHeaderData = Type.GetType(serviceName + ".RequestHeaderData_Type");
            Type typeAuthHeaderData = Type.GetType(serviceName + ".RequestAuthHeaderData_Type");
            Type typeUserSoftware = Type.GetType(serviceName + ".UserSoftware_Type");

            Type typeTransactionHeaderData = Type.GetType(serviceName + ".RequestTransactionHeaderData_Type");

            dynamic headerData = Activator.CreateInstance(typeHeaderData);
            dynamic authHeaderData = Activator.CreateInstance(typeAuthHeaderData);
            dynamic userSoftware = Activator.CreateInstance(typeUserSoftware);
            dynamic transactionHeaderData = Activator.CreateInstance(typeTransactionHeaderData);

            authHeaderData.ClientLoginId = Properties.Settings.Default.HeaderLoginID;
            authHeaderData.UserId = Properties.Settings.Default.HeaderUserID;
            authHeaderData.Password = Properties.Settings.Default.HeaderPassword;
            if (TrxId == true)
            {
                authHeaderData.SubUserId = "06c8dea069c24446949e7806e028bcaf"; //Alternativ: Properties.Settings.Default.HeaderSubUserID;
            }

            headerData.Auth = authHeaderData;
            headerData.Transaction = transactionHeaderData;
            headerData.UserSoftware = userSoftware;

            userSoftware.name = Properties.Settings.Default.HeaderSoftwareName;
            userSoftware.supplier = Properties.Settings.Default.HeaderSoftwareSupplier;
            userSoftware.version = Properties.Settings.Default.HeaderSoftwareVersion;

            transactionHeaderData.ClientTrxId = "06c8dea069c24446949e7806e028bcaf";  //Alternativ Guid.NewGuid().ToString().Replace("-", "");
            transactionHeaderData.Language = Properties.Settings.Default.HeaderLanguage;

            return headerData;
        }
    }
}
